org.jboss.resteasy.springmvc.tjws

## Class TJWSEmbeddedSpringMVCServerBean

- java.lang.Object
- - org.jboss.resteasy.springmvc.tjws.TJWSEmbeddedSpringMVCServerBean

- All Implemented Interfaces:
    org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean<TJWSEmbeddedSpringMVCServer>, org.springframework.beans.factory.InitializingBean

      public class TJWSEmbeddedSpringMVCServerBean
      extends Object
      implements org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean<TJWSEmbeddedSpringMVCServer>

  Version:
    $Revision: 1 $
  Author:
    Solomn Duskis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJWSEmbeddedSpringMVCServerBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `destroy()`
    `String` | `getApplicationContextConfiguration()`
    `String` | `getContext()`
    `TJWSEmbeddedSpringMVCServer` | `getObject()`
    `Class<TJWSEmbeddedSpringMVCServer>` | `getObjectType()`
    `int` | `getPort()`
    `TJWSEmbeddedSpringMVCServer` | `getServer()`
    `boolean` | `isSingleton()`
    `void` | `setApplicationContextConfiguration(String applicationContextConfiguration)`
    `void` | `setContext(String context)`
    `void` | `setPort(int port)`
    `void` | `setServer(TJWSEmbeddedSpringMVCServer server)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TJWSEmbeddedSpringMVCServerBean

          public TJWSEmbeddedSpringMVCServerBean()

  - ### Method Detail

    - #### getApplicationContextConfiguration

          public String getApplicationContextConfiguration()

    - #### setApplicationContextConfiguration

          public void setApplicationContextConfiguration(String applicationContextConfiguration)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getServer

          public TJWSEmbeddedSpringMVCServer getServer()

    - #### setServer

          public void setServer(TJWSEmbeddedSpringMVCServer server)

    - #### getContext

          public String getContext()

    - #### setContext

          public void setContext(String context)

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `Exception`

    - #### destroy

          public void destroy()
                       throws Exception

      Specified by:
        `destroy` in interface `org.springframework.beans.factory.DisposableBean`
      Throws:
        `Exception`

    - #### getObject

          public TJWSEmbeddedSpringMVCServer getObject()
                                                throws Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<TJWSEmbeddedSpringMVCServer>`
      Throws:
        `Exception`

    - #### getObjectType

          public Class<TJWSEmbeddedSpringMVCServer> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<TJWSEmbeddedSpringMVCServer>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<TJWSEmbeddedSpringMVCServer>`

Copyright © 2014. All Rights Reserved.